const getters = {
  corrected (state) {
    return state.statistics.submission_type_progress.every(progress => {
      return progress.feedback_final === progress.submission_count
    })
  },
  getSubmission: state => pk => {
    return state.submissions[pk]
  },
  getFeedback: state => pk => {
    return state.feedback[pk]
  },
  getSubmissionType: state => pk => {
    return state.submissionTypes[pk]
  }
}

export default getters
