export var parseCSVMapMixin = {
  methods: {
    parseCSVMap (csvMap) {
      let lines = csvMap.split('\n')
      lines.shift() // drop the first line since it contains only headings
      return lines.reduce((acc, curr) => {
        if (curr) {
          let [key, matrikelNo, name] = curr.split(';')
          acc[key] = {matrikel_no: matrikelNo, name}
        }
        return acc
      }, {})
    }
  }
}
